New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Don't break if bundler is not installed #6377

Merged
merged 3 commits into from Sep 21, 2017

Conversation

Projects
None yet
4 participants
@ashmaroli
Member

ashmaroli commented Sep 21, 2017

@parkr

This comment has been minimized.

Show comment
Hide comment
@parkr

parkr Sep 21, 2017

Member

raise SystemExit unless process.success?

We should let the user know that they should try again with --skip-bundle or run gem install bundler.

In Ruby 2.5, Bundler will be installed by default. 🎉

Member

parkr commented Sep 21, 2017

raise SystemExit unless process.success?

We should let the user know that they should try again with --skip-bundle or run gem install bundler.

In Ruby 2.5, Bundler will be installed by default. 🎉

@parkr

parkr approved these changes Sep 21, 2017

@parkr

This comment has been minimized.

Show comment
Hide comment
@parkr

parkr Sep 21, 2017

Member

@jekyllbot: merge +fix

Member

parkr commented Sep 21, 2017

@jekyllbot: merge +fix

@jekyllbot jekyllbot merged commit 211a595 into jekyll:master Sep 21, 2017

2 checks passed

continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details

@jekyllbot jekyllbot added bug fix labels Sep 21, 2017

@pathawks

This comment has been minimized.

Show comment
Hide comment
@pathawks

pathawks Sep 21, 2017

Member

Thanks!

Member

pathawks commented Sep 21, 2017

Thanks!

@ashmaroli ashmaroli deleted the ashmaroli:rescue-bundler-loaderror branch Sep 22, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment